Bug 55058

Summary: [PATCH] patch for missing function FactDouble
Product: POI Reporter: Cédric Walter <cedric.walter>
Component: POI OverallAssignee: POI Developers List <dev>
Status: RESOLVED FIXED    
Severity: normal    
Priority: P2    
Version: 3.10-dev   
Target Milestone: ---   
Hardware: PC   
OS: All   
Attachments: FactDoubleFunctionTestCaseData.xls
FactDouble patch
Add additional sanity check/integration test FormulaEvalTestData.xls

Description Cédric Walter 2013-06-04 20:57:50 UTC
Created attachment 30391 [details]
FactDoubleFunctionTestCaseData.xls

Returns the double factorial of a number.

FACTDOUBLE(number)

Number     is the value for which to return the double factorial. If number is not an integer, it is truncated.

Remarks

If number is nonnumeric, FACTDOUBLE returns the #VALUE! error value.
If number is negative, FACTDOUBLE returns the #NUM! error value.

Use a cache for more speed of previously calculated factorial
Comment 1 Cédric Walter 2013-06-04 20:59:08 UTC
Created attachment 30392 [details]
FactDouble patch
Comment 2 Cédric Walter 2013-06-17 20:21:01 UTC
Created attachment 30455 [details]
Add additional sanity check/integration test FormulaEvalTestData.xls
Comment 3 Cédric Walter 2013-10-10 10:42:36 UTC
merged in r1530907